### Method

# Panel Widget get_icon_name

#### Declaration [src]

    const char*
    panel_widget_get_icon_name (
      PanelWidget* self
    )

#### Description [src]

Gets the icon name for the widget.

Gets property | `Panel.Widget:icon-name`

#### Return value

Type: `const char*`

The icon name or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.